(*
                  ufrmOptions
       (c) 2003 Paul C. L. Willmott, VP9MU

 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General
 Public License as published by the Free Software
 Foundation; either version 2 of the License, or at
 your option, any later version.

 This program is distributed in the hope that it will
 be useful, but WITHOUT ANY WARRANTY; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE.  See the GNU General Public
 License for more details.

 You should have received a copy of the GNU General
 Public License along with this program; if not, write
 to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA  02111-1307  USA

            Contact : vp9mu@amsat.org
*)

(*
     Revision History
     ----------------

     1.0.0      Created July 21, 2003 PCLW
*)

unit ufrmOptions ;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ComCtrls, ExtCtrls;

type
  TfrmOptions = class(TForm)
    btnApply: TButton;
    btnCancel: TButton;
    pgcntrlOptions: TPageControl;
    tbshtAudioDevices: TTabSheet;
    lblAudioIn: TLabel;
    cboAudioIn: TComboBox;
    lblAudioOut: TLabel;
    cboAudioOut: TComboBox;
    tbshtLogging: TTabSheet;
    lbledtCallsign: TLabeledEdit;
    lbledtLogPath: TLabeledEdit;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure btnApplyClick(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmOptions: TfrmOptions;

implementation

{$R *.dfm}

uses

     umdlOptions,
     MMSystem ;

procedure TfrmOptions.FormCreate(Sender: TObject);

var

     iIndex, iCount : UINT ;

     pWaveInCaps  : tagWAVEINCAPSA ;
     pWaveOutCaps : tagWAVEOUTCAPSA ;

begin

//   Form Position

     Top := GetSetting(ksINIFile,Name,'Top',Top) ;
     Left := GetSetting(ksINIFile,Name,'Left',Left) ;

//   Get Audio Devices & Populate ComboBox

//   Audio In

     iCount := waveInGetNumDevs ;
     for iIndex := 0 to iCount-1 do begin
         waveInGetDevCaps(iIndex, @pWaveInCaps, SizeOf(pWaveInCaps)) ;
         cboAudioIn.Items.Add(pWaveInCaps.szPname) ;
     end ;
     cboAudioIn.ItemIndex := giAudioInputDevice ;

//   Audio Out

     iCount := waveOutGetNumDevs ;
     for iIndex := 0 to iCount-1 do begin
         waveOutGetDevCaps(iIndex, @pWaveOutCaps, SizeOf(pWaveOutCaps)) ;
         cboAudioOut.Items.Add(pWaveOutCaps.szPname) ;
     end ;
     cboAudioOut.ItemIndex := giAudioOutputDevice ;

     lbledtCallsign.Text := gsCallsign ;
     lbledtLogPath.Text := gsLogPath ;

end;

procedure TfrmOptions.FormClose(Sender: TObject; var Action: TCloseAction);
begin
     SaveSetting(ksINIFile,Name,'Top',Top) ;
     SaveSetting(ksINIFile,Name,'Left',Left) ;
     Action := caFree ;
end;

procedure TfrmOptions.btnApplyClick(Sender: TObject);
begin
     giAudioInputDevice  := cboAudioIn.ItemIndex ;
     giAudioOutputDevice := cboAudioOut.ItemIndex ;
     gsCallsign := lbledtCallsign.Text ;
     gsLogPath := lbledtLogPath.Text ;
     btnCancelClick(Self) ;
end;

procedure TfrmOptions.btnCancelClick(Sender: TObject);
begin
     Close ;
end;

end.
