(*
                  umdlBPSK400
       (c) 2003 Paul C. L. Willmott, VP9MU

          Based on code from AO40RCV
         (c) 2000 Moe Wheatley AE4JY
             ae4jy@mindspring.com

 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General
 Public License as published by the Free Software
 Foundation; either version 2 of the License, or at
 your option, any later version.

 This program is distributed in the hope that it will
 be useful, but WITHOUT ANY WARRANTY; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE.  See the GNU General Public
 License for more details.

 You should have received a copy of the GNU General
 Public License along with this program; if not, write
 to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA  02111-1307  USA

            Contact : vp9mu@amsat.org
*)

(*
     Revision History
     ----------------

     1.0.0      Created July 21, 2003 PCLW
*)

unit umdlBPSK400;

interface

uses

     Messages,
     Windows,
     umdlBPSKDet,
     umdlIOCntrl ;

const

// Message definitions

     MSG_FFTDATARDY   = WM_USER + 1000 ;
     MSG_STATUSCHANGE = WM_USER + 1001 ;
     MSG_DATARDY      = WM_USER + 1002 ;

     MAX_DISPFREQ = 3700 ;
     MIN_DISPFREQ = 100 ;
     MAX_FREQ = (MAX_DISPFREQ * 512 div 4000) ; // FFT Units
     MIN_FREQ = (MIN_DISPFREQ * 512 div 4000) ;

//   Status message defines

     DLLSTAT_OFF             = -1 ; //DLL status/error codes
     DLLSTAT_RX_NO_SIGNAL    = 0  ;
     DLLSTAT_RX_SYNC_SEARCH  = 1  ;
     DLLSTAT_RX_BLOCK_READ   = 2  ;
     DLLSTAT_CPUSLOW         = 3  ;

     DLLERR_NONE             = 0  ;
     DLLERR_MEMORY           = 10 ;

     DLLERR_IN_NOTOPEN       = 11 ;
     DLLERR_IN_OVERFLOW      = 12 ;
     DLLERR_IN_TIMEOUT       = 13 ;
     DLLERR_OUT_NOTOPEN      = 14 ;
     DLLERR_OUT_UNDERFLOW    = 15 ;
     DLLERR_OUT_TIMEOUT      = 16 ;

     DLLERR_WAV_BADFORMAT    = 17 ;
     DLLERR_WAV_STILLPLAYING = 18 ;
     DLLERR_WAV_UNPREPARED   = 19 ;
     DLLERR_WAV_SYNC         = 20 ;

     DLLERR_SYS_BADDEVICEID  = 21 ;
     DLLERR_SYS_NOTENABLED   = 22 ;
     DLLERR_SYS_ALLOCATED    = 23 ;
     DLLERR_SYS_INVALHANDLE  = 24 ;
     DLLERR_SYS_NODRIVER     = 25 ;
     DLLERR_SYS_NOTSUPPORTED = 26 ;
     DLLERR_SYS_BADERRNUM    = 27 ;
     DLLERR_SYS_INVALFLAG    = 28 ;
     DLLERR_SYS_INVALPARAM   = 29 ;
     DLLERR_SYS_HANDLEBUSY   = 30 ;
     DLLERR_SYS_REGISTRY     = 31 ;
     DLLERR_SYS_NODRIVERCB   = 32 ;

     DLLERR_UNKNOWN          = 33 ;

// Function prototypes

function  StartSoundReceive(hWnd:integer; iCardNum:integer) : integer ;
procedure StopReceive ;
procedure GetDataBlock(var pBlock:TDataBlock) ;

implementation


function StartSoundReceive(hWnd:integer; iCardNum:integer) : integer ;
var
     i : integer ;
begin
     IOCntrl := TIOCntrl.Create(true);
     IOCntrl.iCardNum := iCardNum ;
     result := IOCntrl.StartIO(hWnd) ;
end { StartSoundReceive } ;

procedure StopReceive ;
begin
     IOCntrl.StopIO ;
     IOCntrl.Free ;
end { StopReceive } ;

procedure GetDataBlock(var pBlock:TDataBlock) ;

begin
     pBPSKDet.GetDataBlock(pBlock) ;
end { GetDataBlock } ;

end.
