(*
                  umdlErrorCodes
       (c) 2003 Paul C. L. Willmott, VP9MU

          Based on code from AO40RCV
         (c) 2000 Moe Wheatley AE4JY
             ae4jy@mindspring.com

 This program is free software; you can redistribute it
 and/or modify it under the terms of the GNU General
 Public License as published by the Free Software
 Foundation; either version 2 of the License, or at
 your option, any later version.

 This program is distributed in the hope that it will
 be useful, but WITHOUT ANY WARRANTY; without even the
 implied warranty of MERCHANTABILITY or FITNESS FOR A
 PARTICULAR PURPOSE.  See the GNU General Public
 License for more details.

 You should have received a copy of the GNU General
 Public License along with this program; if not, write
 to the Free Software Foundation, Inc., 59 Temple
 Place, Suite 330, Boston, MA  02111-1307  USA

            Contact : vp9mu@amsat.org
*)

(*
     Revision History
     ----------------

     1.0.0      Created July 21, 2003 PCLW
*)

unit umdlErrorCodes;

interface

//   generic error codes for all classes

const

     NO_ERRORS               = 0 ;
     MEMORY_ERROR            = 100 ;

//   input wave file error codes

     WAVIN_ERR_OPEN          = 101 ; // can't open wave file for input
     WAVIN_ERR_NOTWAVE       = 102 ; // file is not a RIFF wave type
     WAVIN_ERR_INVALID       = 103 ; // Invalid wave file
     WAVIN_ERR_NODATA        = 104 ; // no data in file
     WAVIN_ERR_NOTSUPPORTED  = 105 ; // not a supported data type
     WAVIN_ERR_READING       = 106 ; // Error reading data from file
     WAVIN_ERR_NOTOPEN       = 107 ; // tried to read and file is not open

//   output wave file error codes

     WAVOUT_ERR_OPEN         = 108 ; // can't open wave file for output
     WAVOUT_ERR_WRITING      = 109 ; // error writing to wave file
     WAVOUT_ERR_NOTOPEN      = 110 ; // tried to write and file is not open

//   Soundcard input error codes

     SOUNDIN_ERR_NOTOPEN     = 111 ; // tried to read and soundcard is not open
     SOUNDIN_ERR_OVERFLOW    = 112 ; // input buffers overflowed
     SOUNDIN_ERR_TIMEOUT     = 113 ; // Timed out waiting for input buffers

//   Soundcard output error codes

     SOUNDOUT_ERR_NOTOPEN    = 114 ; // tried to write and soundcard is not open
     SOUNDOUT_ERR_UNDERFLOW  = 115 ; // output buffers Underflowed
     SOUNDOUT_ERR_TIMEOUT    = 116 ; // Timed out waiting for output buffers

implementation

end.
